﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace EbmtDAL
{
    public class RecordSelectionMem : IEquatable<RecordSelectionMem>
    {
        private String rSelId;
        private DataRow[] dRows;

        public RecordSelectionMem(String recordSelectionId, DataRow[] resultingDataRows)
        {
            rSelId = recordSelectionId;
            dRows = resultingDataRows;
        }

        #region IEquatable<RecordSelectionMem> Membres

        public bool Equals(RecordSelectionMem other)
        {
            if (other.rSelId == this.rSelId)
            { return true; }
            else
            { return false; }
        }

        #endregion

        public String RecordSelectionId
        {
            get { return rSelId; }
            set { rSelId = value; }
        }

        public DataRow[] ResultingRows
        {
            get { return dRows; }
            set { dRows = value; }
        }
    }
}
